// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/OPTO32/OPTO32_Linux_7.x.x.x_GSC_DN/samples/led/perform.c $
// $Rev: 53206 $
// $Date: 2023-06-20 08:49:38 -0500 (Tue, 20 Jun 2023) $

// OPTO32: Sample Application: source file

#include "main.h"



//*****************************************************************************
int perform_tests(const args_t* args)
{
	int		errs	= 0;
	int		i;

	gsc_label("LED Flashing");
	printf("\n");
	errs	+= opto32_initialize(args->fd, -1, 1);
	gsc_label_level_inc();

	for (i = 1; i <= 16; i++)
	{
		// Turn the LED on.
		errs	+= opto32_led(args->fd, -1, 1, OPTO32_LED_ON, NULL);
		os_sleep_ms(100);

		// Turn the LED off.
		errs	+= opto32_led(args->fd, -1, 1, OPTO32_LED_OFF, NULL);
		os_sleep_ms(100);
	}

	gsc_label_level_dec();
	errs	+= opto32_initialize(args->fd, -1, 1);
	return(errs);
}


