// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/OPTO32/OPTO32_Linux_7.x.x.x_GSC_DN/utils/util_count.c $
// $Rev: 51657 $
// $Date: 2022-10-07 14:05:24 -0500 (Fri, 07 Oct 2022) $

// OPTO32: Utilities: source file

#include "main.h"



/******************************************************************************
*
*	Function:	opto32_count_boards
*
*	Purpose:
*
*		Count the number of installed devices.
*
*	Arguments:
*
*		verbose	Work verbosely?
*
*		qty		Return the device count here.
*
*	Returned:
*
*		>= 0	The number of errors seen.
*
******************************************************************************/

int opto32_count_boards(int verbose, s32* qty)
{
	int	errs;

	errs	= os_count_boards(verbose, qty, opto32_open, opto32_read, opto32_close);

	return(errs);
}



